/*
* LDAP_Class.cpp, v1.0 1/22/2003, Scott J. Nichols
*
* This is the C source code of an C++ implementation of
* the Netcape v4 LDAP API
*
*/
#define TCL_USE_STUBS
#include <ldap.h>
#include <ldap_ssl.h>
#include "LDAP_Class.h"

#include <iostream>
using std::cout;

// LDAP Constructor
LDAP_CLASS::LDAP_CLASS(LDAP	*ld)
{
	this->ld = ld;
}

// LDAP Destructor
LDAP_CLASS::~LDAP_CLASS()
{

}


// LDAP Simple Bind
LDAP_CLASS::LDAP_BIND(char *ldapDN,char *ldapPassword)
{

	return (ldap_simple_bind_s(ld,ldapDN,ldapPassword));

}

// Returns Message ID or -1 if error occurs.
LDAP_CLASS::LDAP_SEARCH(char *base,int scope,
			                       char *searchFilter,
			                       char **attrs)
{
	return (ldap_search(ld,base,scope,searchFilter,attrs,0));
}

// Returns an LDAP Error Code
LDAP_CLASS::LDAP_UNBIND()
{
	return (ldap_unbind(ld));

}

// Returns an LDAP Error Code or Result Return COde
LDAP_CLASS::LDAP_RESULT(int msgid,int *all,timeval *tv,LDAPMessage **result)
{
	return (ldap_result(ld,msgid,*all,tv,result));

}